Bug 1656070 - really huge number of files in /run/docker/libcontainerd/ 30% inode consumption and growing [NEEDINFO]
Summary: really huge number of files in /run/docker/libcontainerd/ 30% inode consumpti...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-containers
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Dan Prince
QA Contact: Marius Cornea
Andrew Burden
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-04 15:28 UTC by Eduard Barrera
Modified: 2019-01-28 21:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-28 21:25:22 UTC
Target Upstream Version:
ebarrera: needinfo? (jrouleau)
sbaker: needinfo? (ebarrera)
aschultz: needinfo? (ebarrera)


Attachments (Terms of Use)

Description Eduard Barrera 2018-12-04 15:28:58 UTC
Description of problem:

Cu. Is reporting this huge files in /run/docker/libcontainerd/, please see the following outputs:

# find /run/docker/libcontainerd/ > files.txt

[root@d100spulxosce03 ~]# wc -l files.txt
917735 files.txt

[ebarrera@supportshellbeta files.zip]$ more files.txt 
/run/docker/libcontainerd/
/run/docker/libcontainerd/docker-containerd.sock
/run/docker/libcontainerd/720c43a0b698fc14f65965745311e3486f70b740abbd4d2564ac78df12893a79
/run/docker/libcontainerd/720c43a0b698fc14f65965745311e3486f70b740abbd4d2564ac78df12893a79/init-stderr
/run/docker/libcontainerd/720c43a0b698fc14f65965745311e3486f70b740abbd4d2564ac78df12893a79/init-stdout
/run/docker/libcontainerd/720c43a0b698fc14f65965745311e3486f70b740abbd4d2564ac78df12893a79/init-stdin
/run/docker/libcontainerd/720c43a0b698fc14f65965745311e3486f70b740abbd4d2564ac78df12893a79/config.json



[root@d100spulxosce03 ~]# df -i /run
Filesystem      Inodes  IUsed   IFree IUse% Mounted on
tmpfs          3065281 919129 2146152   30% /run


Version-Release number of selected component (if applicable):
OSP12

How reproducible:
UNSURE

Steps to Reproduce:
Unsure

Actual results:
Really huge number of files

Expected results:
no such big number of files

Additional info:

Comment 5 Eduard Barrera 2018-12-17 13:42:23 UTC
rep docker installed-rpms 
docker-1.13.1-58.git87f2fab.el7.x86_64                      Fri Jun 22 11:36:28 2018
docker-client-1.13.1-58.git87f2fab.el7.x86_64               Fri Jun 22 11:36:26 2018
docker-common-1.13.1-58.git87f2fab.el7.x86_64               Fri Jun 22 11:36:25 2018
docker-rhel-push-plugin-1.13.1-58.git87f2fab.el7.x86_64     Fri Jun 22 11:36:14 2018
python-heat-agent-docker-cmd-1.4.0-1.el7ost.noarch          Fri Jun 22 11:36:29 2018
[ebarrera@supportshellbeta d100spulxoscp01-1545052840]$

Comment 6 Steve Baker 2018-12-17 21:24:42 UTC
Could you please provide the following info:
- How many files are actually growing rapidly
- What are the docker containers causing the large files? (Maybe the container uuid corresponds to /run/docker/libcontainerd/<uuid>
- The last 100 lines of "docker logs" output for those containers

Comment 8 Steve Baker 2019-01-28 21:25:22 UTC
Feel free to reopen if the required information can be attached


Note You need to log in before you can comment on or make changes to this bug.